# Uses of Enum
org.apache.zookeeper.server.quorum.QuorumPeer.ZabState

Packages that use QuorumPeer.ZabState
Package
Description
org.apache.zookeeper.server.quorum

## Uses of QuorumPeer.ZabState in org.apache.zookeeper.server.quorum

Subclasses with type arguments of type QuorumPeer.ZabState in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static enum`
`QuorumPeer.ZabState`
(Used for monitoring) shows the current phase of Zab protocol that peer is running.
Methods in org.apache.zookeeper.server.quorum that return QuorumPeer.ZabState
Modifier and Type
Method
Description
`QuorumPeer.ZabState`
QuorumPeer.`getZabState()`
`static QuorumPeer.ZabState`
QuorumPeer.ZabState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.ZabState[]`
QuorumPeer.ZabState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.ZabState
Modifier and Type
Method
Description
`void`
QuorumPeer.`setZabState(QuorumPeer.ZabState zabState)`